> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/account/tag-integration/going-further-with-your-tag/how-to-interact-with-the-tag.md).

# How to interact with the tag

When our tag is running on a website, it offers a set of variables, constants, functions, and methods you can use to interact with it.

Everything is hosted under the **window\.ABTasty** object. Here are the most convenient ones you might need:

<pre><code><strong>ABTasty.accountData.tests
</strong></code></pre>

In this object, you will find all the tests that are currently active on your accounts. It displays more information than you would usually need for standard usage but this is convenient to have if you need to dig into your tests.

<pre><code><strong>ABTasty.results
</strong></code></pre>

This object is a simplified version of the **ABTasty.accountData.tests** object. It will display your active tests with a focus on their current status. Are they running? If not, why have they been rejected? This is the most common object you might use to debug and QA your tests.

<pre><code><strong>ABTasty.getTestsOnPage()
</strong></code></pre>

This object will display tests that are currently running on the page.

<pre><code><strong>ABTasty.visitor.id
</strong></code></pre>

This object will return the visitor ID for the current visitor.

<pre><code><strong>ABTasty.getCampaignHistory()
</strong></code></pre>

This object will return the campaign history for the current visitor. The campaign history is all the campaignID/variationID pairs that the visitor is currently assigned to.

<pre><code><strong>ABTasty.accountData.accountSettings
</strong></code></pre>

This object will contain all the settings of the account running on the website. It is convenient to get the identifier, the account name, or various settings, such as framework version or storage mode.

Please find more in these two articles from our developers portal:

* [**Tag window AB tasty**](https://developers.abtasty.com/docs/tag/tag-window-abtasty)
* [**Tag window**](https://developers.abtasty.com/docs/tag/tag-window)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/account/tag-integration/going-further-with-your-tag/how-to-interact-with-the-tag.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
